import json
import requests
import argparse
#import cv2
import os
from skimage import io

parser = argparse.ArgumentParser()
parser.add_argument('-i', '--input', help='Input image file path (.png)', required=True)
args = parser.parse_args()
path = args.input
if os.path.isfile(path):
  img = io.imread(path)[:, :, :3]
  #img = cv2.imread(path)
  img = img.tolist()
  API_URL = "http://localhost:8080/index"
  headers = {'content-type':"application/json"}
  test_json = json.dumps(img)
  result_dict1 = requests.post(API_URL, data=test_json, headers=headers)
  print(result_dict1.text)
else:
  print("Input File Not Found")
